<div class="row justify-content-center">
  <div class="col-8">
    <div *ngIf="customer">
      <h2 data-cy="customerDetailsHeading"><span jhiTranslate="ltnAppApp.customer.detail.title">Customer</span></h2>

      <hr />

      <jhi-alert-error></jhi-alert-error>

      <jhi-alert></jhi-alert>

      <dl class="row-md jh-entity-details">
        <dt><span jhiTranslate="ltnAppApp.customer.id">Id</span></dt>
        <dd>
          <span>{{ customer.id }}</span>
        </dd>
        <dt><span jhiTranslate="ltnAppApp.customer.name">Name</span></dt>
        <dd>
          <span>{{ customer.name }}</span>
        </dd>
      </dl>

      <button type="submit" (click)="previousState()" class="btn btn-info" data-cy="entityDetailsBackButton">
        <fa-icon icon="arrow-left"></fa-icon>&nbsp;<span jhiTranslate="entity.action.back">Back</span>
      </button>

      <button type="button" [routerLink]="['/customer', customer.id, 'edit']" class="btn btn-primary">
        <fa-icon icon="pencil-alt"></fa-icon>&nbsp;<span jhiTranslate="entity.action.edit">Edit</span>
      </button>
    </div>
  </div>
</div>
